<?php

/**
 * @file
 * Theme for work sheet views.
 */

use Drupal\Core\Template\Attribute;

/**
 * Prepares variables for views-style-work-sheet-schedule.html.twig template.
 */
function template_preprocess_views_style_work_sheet_schedule(array &$variables): void {
  $view_id = $variables['view']->id();
  $display_id = $variables['view']->getDisplay()->display['id'];
  $variables['view_id'] = $view_id;
  $variables['display_id'] = $display_id;

  $view = $variables['view'];
  $options = $view->style_plugin->options;

  $variables['default_row_class'] = $options['default_row_class'];
  foreach ($variables['rows'] as $id => $row) {
    $variables['rows'][$id] = [
      'content' => $row,
      'attributes' => new Attribute(),
    ];
    if ($row_class = $view->style_plugin->getRowClass($id)) {
      $variables['rows'][$id]['attributes']->addClass($row_class);
    }
  }
}
